+++
date = 2025-06-07
draft = false
title = 'Boolector'
subtitle = 'SMT Solver'
links = [
    { title = "Homepage", url = "https://boolector.github.io/", icon = 'fa-solid fa-home' },
    { title = "Source Code", url = "https://github.com/boolector/boolector", icon = 'fa-brands fa-github'  },
    # { title = "Playground", url = "https://jfmc.github.io/z3-play/", icon = 'fa-solid fa-gamepad' }
]
applications = ['SMT Solver', 'Theorem Prover', 'SAT Solver']
developers = ['Stanford University', 'Johannes Kepler Universität Linz']
licenses = ['MIT']
inputs = ['SMTLIB2']
interfaces = ['CLI']
maintenance = ['Not Maintained']
# techniques = ['CDCL']
publications = ['Niemetz2014']
+++

{{<inactive year="2024">}}
Boolector is a Satisfiability Modulo Theories (SMT) solver for the theories of fixed-size bit-vectors, arrays and uninterpreted functions.
Succeeded by [Bitwuzla](../bitwuzla)