+++
title = 'The Ultimate Formal Methods Toolbox'
subtitle = 'Discover, Explore, and Contribute to the World’s Largest Collection of Formal Methods Tools'
# date = 2023-01-01T08:00:00-07:00
# draft = false 
+++

Welcome to this collection of Formal Methods Tools, which aims to be the world's most comprehensive source for information on tools for formal methods.
From decades-old classics to cutting-edge tools, this site aims to put as much information as possible into one convenient place.
[Explore](/tools) a wide selection of tools, [contribute](/contribute) tools you make or love, and help grow the formal methods community.

Below are some quick links that may be helpful, plus a random selection of tools (refreshed every time I push updates to this site). 

{{<button href="/tools">}}
List of Tools
{{</button>}} 
{{<button href="/taxonomies">}}
Taxonomy Data
{{</button>}} 
{{<button href="/contribute">}}
Contribute
{{</button>}} 

