+++
date = 2025-06-07
draft = false

title = 'SMT-RAT'
subtitle = 'SMT Toolbox'

links = [
    { title = "Homepage", url = "https://ths-rwth.github.io/smtrat/", icon = 'fa-solid fa-home'},
    { title = "Source Code", url = "https://github.com/ths-rwth/smtrat", icon = 'fa-brands fa-github' },
    # { title = "Documentation", url = "https://yices.csl.sri.com/yices2-documentation.html" }
]

applications = ['SMT Solver', 'SAT Solver']
developers = ['RWTH Aachen']
licenses = ['MIT']
inputs = ['SMTLIB2']
interfaces = ['CLI', 'C++']
maintenance = ['Actively Maintained']

publications = ['Corzilius2015']
+++

SMT-RAT is an SMT Real Algebra Toolbox.


## APIs and Bindings
This tool is available through the following interfaces:

- **C++ API:** [C++ API Reference](https://ths-rwth.github.io/smtrat/dc/dad/md__builds_ths_smt_smtrat_doc_markdown_07_using_smtrat.html#autotoc_md25)

