+++
date = 2025-06-07
draft = false

title = 'STP'
subtitle = 'Simple Theorem Prover'

links = [
    { title = "Homepage", url = "https://stp.github.io/", icon = 'fa-solid fa-home'},
    { title = "Source Code", url = "https://github.com/stp/stp", icon = 'fa-brands fa-github' },
    # { title = "Documentation", url = "https://yices.csl.sri.com/yices2-documentation.html" }
]

applications = ['Constraint Solver', 'SMT Solver', 'Theorem Prover']
developers = ['University of Illinois', 'Stanford University']
licenses = ['MIT']
inputs = ['SMTLIB2']
interfaces = ['CLI', 'C', 'Python']
maintenance = ['Actively Maintained']

publications = ['Ganesh2007', 'Cadar2006']
+++

STP is a constraint solver for quantifier-free bitvectors. 


## APIs and Bindings
This tool is available through the following interfaces:

- **C API:** [stp C API Reference](https://stp.readthedocs.io/en/latest/#c-library-usage)
- **Python bindings:** [stp PyPI package](https://stp.readthedocs.io/en/latest/#python-usage)

